import request from '@/utils/request'

// 查询商户管理列表
export function list(query) {
  return request({
    url: '/commercial/getCommercialList',
    method: 'get',
    params: query
  })
}

//删除
export function del(data) {
  return request({
    url: '/commercial/deleteCommercial',
    method: 'delete',
    params: data
  })
}

//新增
export function add(data) {
  return request({
    url: '/commercial/addCommercial',
    method: 'post',
    data: data
  })
}

//修改
export function update(data) {
  return request({
    url: '/commercial/updateCommercial',
    method: 'put',
    data: data
  })
}